Bug 18484 - opac-advsearch.tt missing closing div tag for .container-fluid
Summary: opac-advsearch.tt missing closing div tag for .container-fluid
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-24 00:23 UTC by Barton Chittenden
Modified: 2017-12-07 22:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18484 - opac-advsearch.tt missing closing div tag for .container-fluid (3.33 KB, patch)
2017-04-24 14:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18484 - opac-advsearch.tt missing closing div tag for .container-fluid (3.40 KB, patch)
2017-04-25 04:15 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 18484 - opac-advsearch.tt missing closing div tag for .container-fluid (3.47 KB, patch)
2017-04-26 20:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2017-04-24 00:23:24 UTC
I ran the opac advanced search page through

https://validator.w3.org/

It gave a fatal error on the closing </form> tag following

</div> <!-- / .main -->

due to a missing </div> tag which should match <div class="container-fluid">.

This is happening in master, and goes back at least as far as 3.18.

It doesn't affect the rendering of the page, as far as I can tell.
Comment 1 Owen Leonard 2017-04-24 14:29:33 UTC
Created attachment 62608 [details] [review]
Bug 18484 - opac-advsearch.tt missing closing div tag for .container-fluid

This patch corrects HTML validation errors by adding back a missing
</div> which was removed accidentally by Bug 9043 (2014!).

This patch also removes "border" attributes from <img> tags because the
attribute is obsolete.

To test, apply the patch and test the validity of the OPAC's advanced
search page. The only error should be one about 'Bad value
"api-server,"' which isn't really resolvable.
Comment 2 Barton Chittenden 2017-04-25 04:15:18 UTC
Created attachment 62650 [details] [review]
Bug 18484 - opac-advsearch.tt missing closing div tag for .container-fluid

This patch corrects HTML validation errors by adding back a missing
</div> which was removed accidentally by Bug 9043 (2014!).

This patch also removes "border" attributes from <img> tags because the
attribute is obsolete.

To test, apply the patch and test the validity of the OPAC's advanced
search page. The only error should be one about 'Bad value
"api-server,"' which isn't really resolvable.

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>
Comment 3 Jonathan Druart 2017-04-26 20:09:21 UTC
Created attachment 62748 [details] [review]
Bug 18484 - opac-advsearch.tt missing closing div tag for .container-fluid

This patch corrects HTML validation errors by adding back a missing
</div> which was removed accidentally by Bug 9043 (2014!).

This patch also removes "border" attributes from <img> tags because the
attribute is obsolete.

To test, apply the patch and test the validity of the OPAC's advanced
search page. The only error should be one about 'Bad value
"api-server,"' which isn't really resolvable.

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-04-28 13:02:52 UTC
Pushed to master for 17.05, thanks Owen!
Comment 5 Katrin Fischer 2017-05-13 12:33:29 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 6 Julian Maurice 2017-05-22 09:25:00 UTC
Pushed to 3.22.x for 3.22.21
Comment 7 Mason James 2017-05-24 02:10:03 UTC
Pushed to 16.05.x, for 16.05.13 release